Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.base.param.KernelParameter

class `mvpa2.base.param.``KernelParameter`(default, ro=False, index=None, value=None, name=None, doc=None, **kwargs)

  Just that it is different beast

  Methods

  `reset`() | Simply reset the flag
  `reset_value`() | Reset value to the default

  Specify a Parameter with a default value and arbitrary number of additional attributes.

  Parameters:

  name : str

  > Name of the parameter under which it should be available in its respective collection.

  doc : str

  > Documentation about the purpose of this parameter.

  index : int or None

  > Index of parameter among the others. Determines order of listing in help. If None, order of instantiation determines the index.

  ro : bool

  > Either value which will be assigned in the constructor is read-only and cannot be changed

  value :

  > Actual value of the parameter to be assigned

  Methods

  `reset`() | Simply reset the flag
  `reset_value`() | Reset value to the default

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »